/*-
 * Copyright (c) 2001, Ramsey G. Brenner <rgbrenner@myrealbox.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "typingtutor.h"

extern char *home_dir;

void new(char *filename)
{
    char     buffer[76];
    FILE    *cust;
    FILE    *tfp;

    system("clear");
    tfp = tmpfile();
    lesson("custom", filename);
    printf("\n%s\n%s\n%s\n",
        "\t\t        Enter a blank line when finished.",
        "\t       Each line should not be longer than the line below.",
"   --------------------------------------------------------------------------");
    for(; buffer[0] != '\n'; ) {
        printf("   ");
        fgets(buffer, 76, stdin);
        fflush(stdin);
        buffer[strlen(buffer) - 1] = NULL;
        for(; buffer[strlen(buffer) - 1] == ' ' || buffer[strlen(buffer) - 1] == '\t';)
            buffer[strlen(buffer) - 1] = NULL;
        strcat(buffer, "\n");
        fputs(buffer, tfp);
    }
    rewind(tfp);
    cust = lfopen("custom", filename, "w");
    for(; !feof(tfp); ) {
        fgets(buffer, 76, tfp);
        if(buffer[0] != '\n')
            fputs(buffer, cust);
    }
    fprintf(cust, "\n");
    fclose(cust);
}
